#!/bin/sh
# This shell procedure is called by Bibliography.app to process
# BibTeX entries for output. It is called with three parameters:
#   - 1. the (temp) directory where the input file is
#   - 2. the shell to use (important for correct environment variables)
#   - 3. the (base-)name of the input file to process

# Customize as required.

bibDir="$1"
userShell="$2"
fName="$3"

# echo "setdir $bibDir $1"
# echo "setshell $userShell $2"
# echo "setname $fName $3"

cd "$bibDir"
$userShell <<_EOF_ 
 latex "$fName"		# prepares the .aux file
 bibtex "$fName"	# prepares the .bbl file from the .aux and .bib file
 latex "$fName"
 latex "$fName"		# call latex twice for xrefs
 dvips -E -o "$fName.eps" "$fName.dvi"
_EOF_

exit 0
