#!/bin/sh
# This shell procedure is called by Bibliography.app to process
# BibTeX entries for output. It is called with three parameters:
#   - 1. the (temp) directory where the input file is
#   - 2. the shell to use (important for correct environment variables)
#   - 3. the (base-)name of the input file to process
#   - 4. path to bbl2rtf
#   - 5. bibStyle
#   - 6. options for bbl2rtf

# Customize as required.

bibDir="$1"
userShell="$2"
fName="$3"
execPath="$4"	# path to bbl2rtf (usually in the app-wrapper)
bibStyle="$5"
options="$6"

# echo "setdir $bibDir
# echo "setshell $userShell
# echo "setname $fName
# echo "execPath $execPath
# echo "bibStyle $bibStyle
# echo "options $options

cd "$bibDir"

# prepare the .aux file

cat > $fName.aux <<_EOF_AUX_
\\relax
\\bibdata{Bib}
\\bibstyle{$bibStyle}
\\citation{*}
_EOF_AUX_

$userShell <<_EOF_ 
 bibtex "$fName"	# prepares the .bbl file from the .aux and .bib file
 $execPath $options < "$fName.bbl"
_EOF_

exit 0
